## swh.loader.svn-0.1.0.tar.gz

=== requirements.txt ===
# Add here external Python modules dependencies, one per line. Module names
# should match https://pypi.python.org/pypi names. For the full spec or
# dependency lines, see https://pip.readthedocs.org/en/1.1/requirements.html
vcversioner
click
retrying
python-dateutil
subvertpy >= 0.9.4
