=== doc-linux/debian/changelog ===
doc-linux (2003.05-1) unstable; urgency=low

  * New upstream release (20030511) (closes: #192500).
  * New HOWTOs:
    Deciding-Linux Linksys-Blue-Box-Router Oracle-9i-RH8 Tamil-Linux
    Traffic-Control-tcng-HTB Web-Browsing-Behind-ISA-Server
    XFree-Local-multi-user
  * Updated HOWTOs:
    ADSL-Bandwidth-Management AI-Alife Astronomy Bangla-PDF Belgian
    BootPrompt C-C++Beautifier CPU-Design CVS-RCS Cluster
    DocBook-Demystification DocBook-OpenJade-SGML-XML Ecology Game-Server
    IP-Masquerade Infrared KDE-GUI-Login-Configuration Kernel KernelAnalysis
    LDAP LILO-crash-rescue Laptop Linux+IPv6 Linux+Windows
    Linux-Complete-Backup-and-Recovery Linux-Gamers Linux-Promise-RAID1
    Mail-User Medicine Modem Postfix-Cyrus-Web-cyradm Program-Library
    RedHat-CD Remote-Serial-Console Samba-Authenticated-Gateway
    Secure-Programs Serial VideoLAN Windows-LAN-Server
    - Missing space in LDAP fixed (closes: #188296).
  * New mini-HOWTO:
    Secure-CVS-Pserver
  * Updated mini-HOWTOs:
    Man-Page Wireless-Link-sys-WPC11

  * Split into free and non-free source packages, following a complete
    licence audit. I'm not a legal expert, plus there was an enormous amount
    of HOWTO material to read in the process, so I may well have made the
    odd mistake. File bugs if you find any. debian/split-package does a lot
    of the work here. The non-free binary packages are called
    doc-linux-nonfree-html and doc-linux-nonfree-text; they recommend their
    free variants for some common images and index files.
  * The non-free packages have no dhelp support. This will eventually be
    restored via doc-base.
  * Non-free HOWTOs:
    Astronomy Belarusian Chinese Config Cyrus-IMAP DOS-Win-to-Linux DVD
    Diskless-root-NFS Encourage-Women-Linux Infrared JavaStation Jaz-Drive
    Kiosk Latvian Loopback-Encrypted-Filesystem RPM SPARC Secure-Programs
    Sybase-ASA Tango TclTk UPS User-Authentication Wearable
  * Non-free mini-HOWTOs:
    3D-Modelling Automount Divert-Sockets Ext2fs-Undeletion FTP Home-Network
    Loadlin+Win95-98-ME Mail2News Offline-Mailing Process-Accounting
    Remote-Boot StarOffice Swap-Space TransparentProxy Ultra-DMA VPN

  * Update the names and addresses of the Linux-FAQ maintainer and the LDP
    coordinator.
  * Remove scrollkeeper suggestion and maintainer script code, since we
    don't have ScrollKeeper support at the moment.
  * Reduce U+201C and U+201D (Unicode directional quotes) in the HOWTO index
    to a simple &quot; for the menu file (closes: #181609).
  * Convert the Latin-1 c-cedilla in the title of the Francophones HOWTO to
    &ccedil;.
  * Building our own split tarballs allows some simplifications in
    debian/rules by moving the directory hierarchies about a bit.
  * Cope with some reorganizations in the way mini-HOWTOs are indexed.
  * Standards-Version: 3.5.9.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 May 2003 09:09:00 +0100

doc-linux (2003.02-1) unstable; urgency=low

  * New upstream release (20030212).
  * New HOWTO:
    Bangla-PDF
  * Updated HOWTOs:
    AI-Alife Apache-Compile C-C++Beautifier CD-Distributions-EN
    IP-Masquerade Kernel Keyboard-and-Console LILO-crash-rescue LVM
    Linux+IPv6 Medicine NC Psion RedHat-CD Remote-Serial-Console Vim
  * New mini-HOWTO:
    Lotus-DominoR5
  * Updated mini-HOWTOs:
    Home-Electrical-Control Wireless-Link-sys-WPC11

  * Remove "The" from the beginning of document names in dhelp and dwww
    indices, to improve sorting (closes: #177677).

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Feb 2003 23:51:45 +0000

doc-linux (2003.01-1) unstable; urgency=low

  * New upstream release (20030112).
  * New HOWTO:
    Samba-Authenticated-Gateway
  * Updated HOWTOs:
    DOSEMU Game-Server LVM Linux+IPv6 Linux-Promise-RAID1 Medicine
    Program-Library Secure-Programs Text-Terminal XDMCP
  * New mini-HOWTOs:
    Mozilla-Optimization Xterminals
  * Updated mini-HOWTOs:
    Automount Debian-Jigdo FBB Handspring-Visor Swap-Space
    Wireless-Link-sys-WPC11

  * debhelper autoscript fragments weren't being substituted into
    doc-linux-html's maintainer scripts; it turns out that this is due to
    running 'dh_clean -k' between building doc-linux-html and doc-linux-text
    but before calling dh_installdeb and so on on both binary packages at
    once, which cleans too much. Switch to 'dh_clean -d' instead.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Jan 2003 17:53:33 +0000

doc-linux (2002.12-1) unstable; urgency=low

  * New upstream release (20021215).
  * Updated HOWTOs:
    Apache-Overview Finnish Linux+IPv6 PA-RISC-Linux-Boot
  * Removed HOWTOs:
    C++Programming
  * Updated mini-HOWTOs:
    C++-dlopen Debian-Jigdo FBB PCTel-MicroModem-Config

  * Add a lintian override for the COPYING file that forms part of the
    NCURSES-Programming-HOWTO.
  * Remove the HTML version of the RedHat-CD-HOWTO (see 2002.11-1) in
    debian/rules rather than in the source tarball, in order to keep the
    tarball pristine.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Dec 2002 21:26:34 +0000

doc-linux (2002.11-1) unstable; urgency=low

  * New upstream release (20021123).
    - Sorry for the delay. Some of it was me being busy, some was
      db.tldp.org being down, and some of it was being completely unable to
      get a valid OMF file for ScrollKeeper. Upstream appears to be working
      on the latter, but for the meantime I've temporarily removed
      ScrollKeeper support in order to be able to build new versions of
      doc-linux (closes: #166261). I'll try to get back to my former upload
      frequency now.
    - Once I get a valid OMF file I'll be able to do the non-free split at
      last, since it includes a <rights /> tag ...
  * Ship HOWTOs in .tar.bz2 form in the source package rather than .tar.gz.
  * Change the patch for dangling relative links to point to tldp.org rather
    than linuxdoc.org.
  * Remove the /usr/doc symlinks.

  * New HOWTOs:

